Subject: Re: [PATCH v6 2/3] ident: add user.useConfigOnly boolean for when ident shouldn't be guessed

From: Dan Aloni <[email-masked]>
Date: Fri, 5 Feb 2016 23:14:35 +0200

On Fri, Feb 05, 2016 at 11:31:34AM -0800, Junio C Hamano wrote:
> > +	If you have multiple email addresses that you would like to set
> > +	up per repository, you may want to set this to 'true' in the global
> > +	config, and then Git would prompt you to set user.email separately,
> > +	in each of the cloned repositories.
> 
> The first sentence mentioned both name and email, but here the
> example is only about email.  A first time reader might be led into
> thinking this is only about email and not name, but I am assuming
> that is not the intention (i.e. this is merely showing just one use
> case).
>[..]

Going to revise per yours and Jeff's suggestions.

>[..]
> I can read the split expression either with && hanging at the end of
> line or && leading the next line just fine, but you'd want to be
> consistent especially when you are writing two almost identical
> things.

Sure.

>[..]
> 	test_expect_success 'suceed with config' '
>         	test_when_finished reprepare &&
> 		test_config user.email [email-masked] &&
>                 test_must_fail git commit -m msg
> 	'
> 
> Note that you do not need "test_unconfig user.email" in reprepare,
> as the variable is set in one test with test_config, which uses
> test_when_finished to arrange the variable to be removed after
> running the test.

Alright. It was worth to understand the differing behavior between
'test_config' and 'git config'.

-- 
Dan Aloni